net.sourceforge.pmd.lang.java.ast

## Interface AccessNode

All Known Implementing Classes:
  AbstractJavaAccessNode, AbstractJavaAccessTypeNode, ASTAnnotationMethodDeclaration, ASTAnnotationTypeDeclaration, ASTClassOrInterfaceDeclaration, ASTConstructorDeclaration, ASTEnumDeclaration, ASTFieldDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTMethodDeclaration, ASTResource

    public interface AccessNode

This interface captures Java access modifiers.

### Field Summary

Fields
`static int` `ABSTRACT`
`static int` `FINAL`
`static int` `NATIVE`
`static int` `PRIVATE`
`static int` `PROTECTED`
`static int` `PUBLIC`
`static int` `STATIC`
`static int` `STRICTFP`
`static int` `SYNCHRONIZED`
`static int` `TRANSIENT`
`static int` `VOLATILE`

### Method Summary

Methods
`int` `getModifiers()`
`boolean` `isAbstract()`
`boolean` `isFinal()`
`boolean` `isNative()`
`boolean` `isPackagePrivate()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isStatic()`
`boolean` `isStrictfp()`
`boolean` `isSynchronized()`
`boolean` `isTransient()`
`boolean` `isVolatile()`
`void` `setAbstract(boolean isAbstract)`
`void` `setFinal(boolean isFinal)`
`void` `setModifiers(int modifiers)`
`void` `setNative(boolean isNative)`
`void` `setPrivate(boolean isPrivate)`
`void` `setProtected(boolean isProtected)`
`void` `setPublic(boolean isPublic)`
`void` `setStatic(boolean isStatic)`
`void` `setStrictfp(boolean isStrictfp)`
`void` `setSynchronized(boolean isSynchronized)`
`void` `setTransient(boolean isTransient)`
`void` `setVolatile(boolean isVolatile)`

### Field Detail

#### PUBLIC

    static final int PUBLIC

See Also:
  Constant Field Values

#### PROTECTED

    static final int PROTECTED

See Also:
  Constant Field Values

#### PRIVATE

    static final int PRIVATE

See Also:
  Constant Field Values

#### ABSTRACT

    static final int ABSTRACT

See Also:
  Constant Field Values

#### STATIC

    static final int STATIC

See Also:
  Constant Field Values

#### FINAL

    static final int FINAL

See Also:
  Constant Field Values

#### SYNCHRONIZED

    static final int SYNCHRONIZED

See Also:
  Constant Field Values

#### NATIVE

    static final int NATIVE

See Also:
  Constant Field Values

#### TRANSIENT

    static final int TRANSIENT

See Also:
  Constant Field Values

#### VOLATILE

    static final int VOLATILE

See Also:
  Constant Field Values

#### STRICTFP

    static final int STRICTFP

See Also:
  Constant Field Values

### Method Detail

#### getModifiers

    int getModifiers()

#### setModifiers

    void setModifiers(int modifiers)

#### isPublic

    boolean isPublic()

#### setPublic

    void setPublic(boolean isPublic)

#### isProtected

    boolean isProtected()

#### setProtected

    void setProtected(boolean isProtected)

#### isPrivate

    boolean isPrivate()

#### setPrivate

    void setPrivate(boolean isPrivate)

#### isAbstract

    boolean isAbstract()

#### setAbstract

    void setAbstract(boolean isAbstract)

#### isStatic

    boolean isStatic()

#### setStatic

    void setStatic(boolean isStatic)

#### isFinal

    boolean isFinal()

#### setFinal

    void setFinal(boolean isFinal)

#### isSynchronized

    boolean isSynchronized()

#### setSynchronized

    void setSynchronized(boolean isSynchronized)

#### isNative

    boolean isNative()

#### setNative

    void setNative(boolean isNative)

#### isTransient

    boolean isTransient()

#### setTransient

    void setTransient(boolean isTransient)

#### isVolatile

    boolean isVolatile()

#### setVolatile

    void setVolatile(boolean isVolatile)

#### isStrictfp

    boolean isStrictfp()

#### setStrictfp

    void setStrictfp(boolean isStrictfp)

#### isPackagePrivate

    boolean isPackagePrivate()